2017-11-20 23:36 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001853openmediavaultBugpublic2017-11-18 12:50
Reporteraustnwheel 
Assigned Tovotdev 
PrioritynormalSeveritymajorReproducibilityrandom
StatusresolvedResolutionfixed 
Product VersionArrakis (4.x) 
Target VersionFixed in VersionArrakis (4.x) 
Summary0001853: Unable to Apply Configuration Changes due to systemctl error
DescriptionWhenever changing settings in the openmediavault webgui, I am unable to appy changes in configuration because it keeps coming up with this error: "Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C; systemctl stop 'sharedfolders-Phobos.mount' 2>&1' with exit code '5': Failed to stop sharedfolders-Phobos.mount: Unit sharedfolders-Phobos.mount not loaded."
Additional InformationHere is the full error as described after attempting to appy changes to configuration:
Error #0:
OMV\ExecException: Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C; systemctl stop 'sharedfolders-Phobos.mount' 2>&1' with exit code '5': Failed to stop sharedfolders-Phobos.mount: Unit sharedfolders-Phobos.mount not loaded. in /usr/share/php/openmediavault/system/process.inc:175
Stack trace:
#0 /usr/share/php/openmediavault/system/systemctl.inc(86): OMV\System\Process->execute(Array, 5)
#1 /usr/share/php/openmediavault/system/systemctl.inc(153): OMV\System\SystemCtl->exec('stop', NULL, false)
0000002 /usr/share/openmediavault/engined/module/sharedfolders.inc(85): OMV\System\SystemCtl->stop()
0000003 [internal function]: OMVModuleSharedfolders->deleteEntry(Array)
0000004 /usr/share/php/openmediavault/engine/module/moduleabstract.inc(145): call_user_func_array(Array, Array)
0000005 /usr/share/openmediavault/engined/module/sharedfolders.inc(42): OMV\Engine\Module\ModuleAbstract->execTasks('delete')
0000006 /usr/share/openmediavault/engined/rpc/config.inc(152): OMVModuleSharedfolders->stopService()
0000007 [internal function]: OMVRpcServiceConfig->applyChanges(Array, Array)
#8 /usr/share/php/openmediavault/rpc/serviceabstract.inc(123): call_user_func_array(Array, Array)
0000009 /usr/share/php/openmediavault/rpc/serviceabstract.inc(150): OMV\Rpc\ServiceAbstract->callMethod('applyChanges', Array, Array)
#10 /usr/share/php/openmediavault/rpc/serviceabstract.inc(528): OMV\Rpc\ServiceAbstract->OMV\Rpc\{closure}('/tmp/bgstatusmp...', '/tmp/bgoutputGm...')
#11 /usr/share/php/openmediavault/rpc/serviceabstract.inc(151): OMV\Rpc\ServiceAbstract->execBgProc(Object(Closure))
#12 /usr/share/openmediavault/engined/rpc/config.inc(213): OMV\Rpc\ServiceAbstract->callMethodBg('applyChanges', Array, Array)
0000013 [internal function]: OMVRpcServiceConfig->applyChangesBg(Array, Array)
#14 /usr/share/php/openmediavault/rpc/serviceabstract.inc(123): call_user_func_array(Array, Array)
#15 /usr/share/php/openmediavault/rpc/rpc.inc(86): OMV\Rpc\ServiceAbstract->callMethod('applyChangesBg', Array, Array)
#16 /usr/sbin/omv-engined(536): OMV\Rpc\Rpc::call('Config', 'applyChangesBg', Array, Array, 1)
#17 {main}
Tagssharedfolders, systemctl
Product build4.0.9-1 Arrakis
Attached Files

-Relationships
+Relationships

-Notes

~0005035

votdev (administrator)

What happens when you execute

# systemctl daemon-reload
# systemctl status sharedfolders-Phobos.mount
# systemctl cat sharedfolders-Phobos.mount
# systemctl restart sharedfolders-Phobos.mount

~0005038

godFuture (reporter)

Have this issue as well.

I tried to find the place, where omv stores the information for adding new shares, but I couldnt find anything. So I got nothing with "systemctl list-unit-files | grep Test", "cat /etc/fstab | grep Test", "cat /etc/exports | grep Test" or "cat /etc/openmediavault/config.xml | grep Test".

"systemctl status sharedfolders-Test.mount"
Unit sharedfolders-Test.mount could not be found.

~0005039

votdev (administrator)

What about

# omv-mkconf systemd
# systemctl daemon-reload
# systemctl status sharedfolders-Test.mount

The systemd mount files are created by this script: https://github.com/openmediavault/openmediavault/blob/master/deb/openmediavault/usr/share/openmediavault/mkconf/systemd.d/sharedfolders

The mount files are located here: /etc/systemd/system

~0005040

godFuture (reporter)

root@media-server:~# omv-mkconf systemd
root@media-server:~# systemctl daemon-reload
root@media-server:~# systemctl status sharedfolders-Test.mount
Unit sharedfolders-Test.mount could not be found.

ls /etc/systemd/system | grep Test
ls /sharedfolders | grep Test

The Test share seems to be undiscoverable. Is there any storage for pending changes?

~0005041

votdev (administrator)

Last edited: 2017-11-18 12:50

View 2 revisions

Fixed in openmediavault 4.0.12, see https://github.com/openmediavault/openmediavault/commit/697480113ac5c9a3622aec5b86fdcfb2153b995a and https://github.com/openmediavault/openmediavault/commit/cae6374d9300d7fbb0bbb33f9574b2bbf39b3d5e.

+Notes

-Issue History
Date Modified Username Field Change
2017-11-14 04:01 austnwheel New Issue
2017-11-14 04:01 austnwheel Status new => assigned
2017-11-14 04:01 austnwheel Assigned To => votdev
2017-11-14 04:01 austnwheel Tag Attached: sharedfolders
2017-11-14 04:01 austnwheel Tag Attached: systemctl
2017-11-14 07:14 votdev Note Added: 0005035
2017-11-18 02:18 godFuture Note Added: 0005038
2017-11-18 09:28 votdev Note Added: 0005039
2017-11-18 09:55 godFuture Note Added: 0005040
2017-11-18 12:47 votdev Status assigned => resolved
2017-11-18 12:47 votdev Resolution open => fixed
2017-11-18 12:47 votdev Fixed in Version => Arrakis (4.x)
2017-11-18 12:47 votdev Note Added: 0005041
2017-11-18 12:50 votdev Note Edited: 0005041 View Revisions
+Issue History